# eft_payplugin

A new flutter plugin project.

## Getting Started
微信开放平台申请账号,开通支付功能,获取APPID

## Android
微信开放平台配置包名和微信签名工具获取的签名

## IOS
微信开放平台配置bundle id和universalLink
Info.plist配置
<key>CFBundleURLTypes</key>
<array>
<dict>
<key>CFBundleTypeRole</key>
<string>Editor</string>
<key>CFBundleURLSchemes</key>
<array>
<string>eftpayltxgtpay</string>
</array>
</dict>
<dict>
<key>CFBundleTypeRole</key>
<string>Editor</string>
<key>CFBundleURLName</key>
<string>wechat</string>
<key>CFBundleURLSchemes</key>
<array>
<string>[微信APPID]</string>
</array>
</dict>
</array>

<key>LSApplicationQueriesSchemes</key>
<array>
<string>alipay</string>
<string>safepay</string>
<string>[微信APPID]</string>
<string>wechat</string>
<string>weixin</string>
<string>weixinULAPI</string>
</array>

<key>NSAppTransportSecurity</key>
<dict>
<key>NSAllowsArbitraryLoads</key>
<true/>
</dict>


AppDelegate.m增加回调
#import <eft_payplugin/EftPaypluginPlugin.h>


- (BOOL)application:(UIApplication *)application
            openURL:(NSURL *)url
  sourceApplication:(NSString *)sourceApplication
         annotation:(id)annotation {
  NSLog(@"openURL=%@",url);
  [[EftPaypluginPlugin getInstance] application:application openURL:url sourceApplication:sourceApplication annotation:annotation];
  return YES;
}

// NOTE: 9.0以后使用新API接口
- (BOOL)application:(UIApplication *)app openURL:(NSURL *)url options:(NSDictionary<NSString*, id> *)options
{
  NSLog(@"openURL=%@",url);
  [[EftPaypluginPlugin getInstance] application:app openURL:url options:options];
  return YES;
}


## Flutter使用

## 引用支付模块功能
import 'package:eft_payplugin/eft_payplugin.dart';

4.EftPayplugin接口说明
在使用调用支付功能前先进行微信注册和获取权限
## 微信注册
static Future<String> regiest(String appid,String universalLink)async

## 获取设备ID权限接口
若不获取android6.0后首次调起支付宝支付会报权限异常
Android6.0及以上根据是否授权返回,IOS都返回成功
static Future<String> requestDiviceIdPermission() async 

## 生成商户订单号
用于查询跟踪订单的支付状态,长度20位,同一商户,商户订单号必须唯一,可自行生成
static String getOutTradeNo()
 

## 支付接口
static Future<Map> eftPay(Map map) async


## 交易查询
static Future<Map> query(Map map) async




This project is a starting point for a Flutter
[plug-in package](https://flutter.dev/developing-packages/),
a specialized package that includes platform-specific implementation code for
Android and/or iOS.

For help getting started with Flutter, view our 
[online documentation](https://flutter.dev/docs), which offers tutorials, 
samples, guidance on mobile development, and a full API reference.
