package com.eftpay.payplugin.eft_payplugin.utils;


import android.content.Context;
import android.content.SharedPreferences;

public class SharedPreferenceUtil {
	private SharedPreferences share;
	public SharedPreferenceUtil(Context context, String file_name) {
		super();
		share = context.getSharedPreferences(file_name, Context.MODE_PRIVATE);
	}

	public  void save(String key, String defautvalue){
		SharedPreferences.Editor editor = share.edit();
		editor.putString(key, defautvalue);
		editor.commit();
	}
	
	public String get(String key, String defautvalue){
		return share.getString(key, defautvalue);
	}
	
	public String get(String key){
		return share.getString(key, null);
	}

	
	
	
	public  void saveInt(String key, int value){
		SharedPreferences.Editor editor = share.edit();
		editor.putInt(key, value);
		editor.commit();
	}
	
	public  int getInt(String key){
		return share.getInt(key, 0);
	}
	
	
	
	public  void saveBoolean(String key, boolean value){
		SharedPreferences.Editor editor = share.edit();
		editor.putBoolean(key, value);
		editor.commit();
	}
	
	public  boolean getBoolean(String key){
		return share.getBoolean(key, true);
	}
	public  boolean getBooleanF(String key){
		return share.getBoolean(key, false);
	}
	public  void saveLong(String key, long value){
		SharedPreferences.Editor editor = share.edit();
		editor.putLong(key, value);
		editor.commit();
	}
	
	public  long getLong(String key){
		return share.getLong(key, 0);
	}
}
