package com.eftpay.payplugin.eft_payplugin.wechat;

import android.app.Activity;
import android.content.Context;
import android.util.Log;

import com.eftpay.payplugin.eft_payplugin.alipay.PayResponse;
import com.tencent.mm.opensdk.modelbase.BaseReq;
import com.tencent.mm.opensdk.modelbase.BaseResp;
import com.tencent.mm.opensdk.openapi.IWXAPI;
import com.tencent.mm.opensdk.openapi.WXAPIFactory;

public class WechatServer {
	public final static String TAG = "WechatServer";
	public static boolean flag_has_regiest = false;
	public static IWXAPI api;
	private static IWXAPI getIWXAPI(Context context){
		return WXAPIFactory.createWXAPI(context.getApplicationContext(), Constants.APP_ID, false);
//		return WXAPIFactory.createWXAPI(context, null);
	}
	/***
	 * 
	 * @param context
	 * @return
	 */
	public static int regiest(Context context){
		if(api==null){
			api = getIWXAPI(context.getApplicationContext());
		}
		
		
		if(api.isWXAppInstalled()){
			
			boolean isRegisted = api.registerApp(Constants.APP_ID);
			
			if(isRegisted){
				Log.d(TAG,"wechat regiest success");
				flag_has_regiest = true;
				return 1;
			}else{
				Log.d(TAG,"wechat regiest false");
				return 0;
			}
			
		}else{
			Log.d(TAG,"had not installed wechat");
			return -1;
		}
	}
	public static boolean startPayflag = false;
	public static boolean stopPayflag = false;
	public static BaseResp baseResp;
	//微信调起支付接口,客户端信息
	public static PayResponse weChatPay(final Activity context, final BaseReq request){
		PayResponse payResponse = new PayResponse("-20","支付处理超时");
		try {
			stopPayflag = true;
			if(startPayflag){
				Thread.sleep(1000);
				Log.e("paywait","1000");
			}
			startPayflag = true;
			stopPayflag = false;

			baseResp = null;

			regiest(context);
			api.sendReq(request);
//			Log.d("ttt","requestttt"+request.appId+" "+request.partnerId+" "+request.prepayId+" "+request.packageValue+" "+request.nonceStr+" "+request.timeStamp+" "+request.sign);

			//	final ProgressDialog dialog = LoadingDialog.showProgress(context,"",true);

			for(int i=0;i<16*60*10;i++){
				if(baseResp!=null){
					payResponse = new PayResponse(""+baseResp.errCode,baseResp.errStr);
					break;
				}
				if(stopPayflag){
					Log.e("paystop","---");
					break;
				}
				try {
					Thread.sleep(100);
				} catch (InterruptedException e) {
					e.printStackTrace();
				}
			}

		}catch (Exception e){

		}finally {
			startPayflag = false;
			return payResponse;
		}


	}
	
}
