//
//  NSDate+GetTime.h
//
//  Created by sky on 2018/5/13.
//  Copyright © 2018年 Eftsolution. All rights reserved.
//

#import <Foundation/Foundation.h>

static NSString *const  timeToSeconds = @"yyyy-MM-dd HH:mm:ss";
static NSString *const  timeForRequest = @"yyyyMMddHHmmss";
static NSString *const timeToDay = @"yyyy-MM-dd";

@interface NSDate (GetTime)
//+(NSDate *)getDateStringBeforeMinute:(NSInteger)minuteBefore;
+ (BOOL)compareHoursBefore:(NSInteger)hours with:(NSString *)dateString;
+ (BOOL)isTimeCorrect:(NSString*) time;
+ (BOOL) isTimeCorrectWithGMTTime:(NSString*)gmtTime pushTime:(NSString*)pushTime;
+(NSString *)getDateStringOfFormat:(NSString *)format;
+(NSDate *)getDateStringBeforeDay:(NSInteger)dayBefore;
+(NSDate *)getDateOfTimeString:(NSString *)time withFormatterString:(NSString *)formatterString;
-(NSString *)getTimeStringOfFormat:(NSString *)format;
+ (NSString *)getTimeStringChangeWithOld:(NSString *)old withOldFormat:(NSString *)oldFormat withNewFormat:(NSString *)newFormat;
+ (NSString *)get01Time:(NSString*)day;
+ (NSString *)get01Month:(NSString*)day;
+ (NSString *)get02Time:(NSString*)day;
+ (NSString *)getLastMonthDay;

+ (NSString *)getNowTime;
+ (NSString *)getTime15minuteBefore;

@end
